"use strict";
cc._RF.push(module, 'b8bf0HJNB9JlJHq/0Wi+dFQ', 'event_mgr');
// Lwd/script/manager/event_mgr.js

"use strict";

// 事件汞
var eventList = {}; // 响应列表（元素结构：eventName,[[target:cb]]）

lwd_g.event_mgr = {
  // 注册事件-响应 入参：事件名、响应、目标名
  reg: function reg(eventName, cb, target) {
    var event = eventList[eventName];

    if (!event) {
      event = eventList[eventName] = {};
    }

    event[target] = cb;
  },
  // 注销事件-响应 入参：事件名、目标名
  unReg: function unReg(eventName, target) {
    var event = eventList[eventName];

    if (event) {
      if (event[target]) {
        event[target] = null;
      }
    }
  },
  unRegName: function unRegName(eventName) {
    eventList[eventName] = {};
  },
  // 广播事件 入参：事件名、参数
  send: function send(eventName, params) {
    var event = eventList[eventName];

    if (event) {
      for (var target in event) {
        var cb = event[target];

        if (cb) {
          cb(params);
        }
      }
    }
  },
  getReglist: function getReglist() {
    return eventList;
  }
};

cc._RF.pop();